Index: Sources/frontend/src/app/add-answer/add-answer.component.css
===================================================================
--- Sources/frontend/src/app/add-answer/add-answer.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/add-answer/add-answer.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,68 @@
+.parent-container {
+  display: flex;
+  flex-direction: column;
+  justify-content: center;
+  margin-left: 400px;
+  margin-right: 400px;
+  margin-top: 100px;
+}
+
+button {
+  background-color: #3A98B9;
+  border: none;
+  padding: 5px;
+  height: 50px;
+  width: 100px;
+  margin: 5px;
+  cursor: pointer;
+  float: right;
+  border-radius: 5px;
+  color: #FFF1DC;
+  font-weight: normal;
+  font-size: large;
+  min-width: 150px;
+}
+
+.add-answer {
+  display: flex;
+  flex-direction: column;
+  justify-content: center;
+}
+
+label {
+  width: 100%;
+  font-weight: bold;
+  font-size: 20px;
+  padding-top: 10px;
+  color: rgba(27, 39, 107, 0.8);
+}
+
+textarea {
+  width: 100%;
+  height: 180px;
+  margin: none;
+  background-color: rgba(237, 238, 245, 0.8);
+  border-color: rgba(159, 168, 216, 0.5);
+  font-size: 16px;
+  border-radius: 5px;
+}
+
+.btn-div {
+  margin-top: 20px;
+  float: right;
+}
+
+input {
+  border-radius: 5px;
+  background-color: rgba(237, 238, 245, 0.8);
+}
+
+h3 {
+  color: rgba(27, 39, 107, 0.8);
+}
+
+.container{
+  padding: 20px;
+  background-color: #ffffff;
+  border-radius: 10px;
+}
Index: Sources/frontend/src/app/add-answer/add-answer.component.html
===================================================================
--- Sources/frontend/src/app/add-answer/add-answer.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/add-answer/add-answer.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,16 @@
+<div class="parent-container">
+  <div class="container">
+    <form class="example-form">
+      <div class="add-answer">
+        <h3>Содржина</h3>
+        <textarea name="content" [(ngModel)]="content" placeholder="Внесете го вашиот одговор овде..."></textarea>
+        <div class="btn-div">
+          <button (click)="submit()"
+                  [disabled]="content==null" type="button">Одговори на прашањето
+          </button>
+        </div>
+      </div>
+    </form>
+  </div>
+
+</div>
Index: Sources/frontend/src/app/add-answer/add-answer.component.spec.ts
===================================================================
--- Sources/frontend/src/app/add-answer/add-answer.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/add-answer/add-answer.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,23 @@
+import { ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { AddAnswerComponent } from './add-answer.component';
+
+describe('AddAnswerComponent', () => {
+  let component: AddAnswerComponent;
+  let fixture: ComponentFixture<AddAnswerComponent>;
+
+  beforeEach(async () => {
+    await TestBed.configureTestingModule({
+      declarations: [ AddAnswerComponent ]
+    })
+    .compileComponents();
+
+    fixture = TestBed.createComponent(AddAnswerComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
Index: Sources/frontend/src/app/add-answer/add-answer.component.ts
===================================================================
--- Sources/frontend/src/app/add-answer/add-answer.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/add-answer/add-answer.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,36 @@
+import {Component} from '@angular/core';
+
+import {ActiveUserInterface} from "../ActiveUserInterface";
+import {LoginService} from "../login.service";
+import {ActivatedRoute, Router} from "@angular/router";
+import {AddAnswerService} from "../add-answer.service";
+
+@Component({
+  selector: 'app-add-answer',
+  templateUrl: './add-answer.component.html',
+  styleUrls: ['./add-answer.component.css']
+})
+export class AddAnswerComponent {
+  content: string | undefined;
+  questionId: number | undefined;
+  activeUser: ActiveUserInterface | undefined;
+
+  constructor(private addAnswerService: AddAnswerService,
+              private loginService: LoginService,
+              private route: ActivatedRoute,
+              private router: Router) {
+  }
+
+  ngOnInit(): void {
+    this.questionId = Number(this.route.snapshot.paramMap.get('id'));
+    this.activeUser = this.loginService.activeUser;
+    if (!this.activeUser) {
+      this.router.navigate(['/'])
+    }
+  }
+
+  submit() {
+    this.addAnswerService.add(this.content!!, this.activeUser!!.username, this.questionId!!)
+  }
+
+}
